package org.jeecg.modules.app.controller.my;


import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.app.dto.AddFamilyMembersDTO;
import org.jeecg.modules.system.app.service.IFamilyMembersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 家庭成员
 */
@Slf4j
@Tag(name = "APP家庭成员信息")
@RestController()
@RequestMapping("/app/my/familyMembers")
public class AppFamilyMembersController {

    @Autowired
    IFamilyMembersService iFamilyMembersService;

    @PostMapping("/addFamilyMembers")
    @Operation(summary = "添加家庭成员")
    public Result<String> addFamilyMembers(@RequestBody AddFamilyMembersDTO addFamilyMembersDTO){
        return iFamilyMembersService.addFamilyMembers(addFamilyMembersDTO);
    }

    @PostMapping("/editFamilyMembers")
    @Operation(summary = "修改家庭成员")
    public Result<String> editFamilyMembers(@RequestBody AddFamilyMembersDTO addFamilyMembersDTO){
        return iFamilyMembersService.editFamilyMembers(addFamilyMembersDTO);
    }


    @GetMapping("/deleteFamilyMembers")
    @Operation(summary = "删除家庭成员")
    public Result<String> deleteFamilyMembers(@RequestParam("id") String id){
        return iFamilyMembersService.deleteFamilyMembers(id);
    }

}
