package org.jeecg.modules.app.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="场地详情返回参数")
public class PlaceInfoVO {
    @Schema(description = "场地id")
    private String id;
    @Schema(description = "单位名称（部门名称）")
    private String name;
    @Schema(description = "好评率")
    private BigDecimal goodRate;
    @Schema(description = "是否营业")
    private Boolean isOpen;
    @Schema(description = "封面")
    private String cover;
    @Schema(description = "背景图;可能数组")
    private String backgroundImage;
    @Schema(description = "地址")
    private String address;
    @Schema(description = "类型;0学校 1包场体育馆 2不固定场体育馆")
    private Integer type;
    @Schema(description = "设施/信息")
    private String facility;
    @Schema(description = "教学日开放时段")
    private String teachingDay;
    @Schema(description = "非教学日开放时段")
    private String noTeachingDay;
    @Schema(description = "联系电话")
    private String phone;
    @Schema(description = "视频")
    private String video;
    @Schema(description = "场地简约返回参数")
    private PlaceInfoMsgVO placeInfoMsgVO;
    @Schema(description = "教练简约返回参数")
    private List<InstructorVO> instructorVOList;
    @Data
    @Accessors(chain = true)
    @EqualsAndHashCode(callSuper = false)
    @Schema(description="场地简约返回参数")
    public static class PlaceInfoMsgVO{
        @Schema(description = "场地名称")
        private String name;
        @Schema(description = "销售数量")
        private int sales;
        @Schema(description = "类目")
        private List<String> category;
        @Schema(description = "原价")
        private BigDecimal originalPrice;
        @Schema(description = "售价")
        private BigDecimal sellingPrice;
    }
    @Data
    @Accessors(chain = true)
    @EqualsAndHashCode(callSuper = false)
    @Schema(description="课程返回参数")
    public static class CourseInfoVO{
        @Schema(description = "场地id")
        private String id;
        @Schema(description = "场地名称")
        private String name;
        @Schema(description = "课程原价")
        private BigDecimal originalPrice;
        @Schema(description = "课程售价")
        private BigDecimal sellingPrice;
        @Schema(description = "销售数量")
        private int sales;
        @Schema(description = "销售(年)")
        private int salesYear;
        @Schema(description = "好评率")
        private BigDecimal goodRate;
        @Schema(description = "地址")
        private String address;
        @Schema(description = "封面")
        private String cover;

    }
    @Data
    @Accessors(chain = true)
    @EqualsAndHashCode(callSuper = false)
    @Schema(description="教练简约返回参数")
    public static class InstructorVO{
        @Schema(description = "主键id")
        private String id;
        @Schema(description = "教练名称")
        private String name;
        @Schema(description = "教练头像")
        private String avatar;
        @Schema(description = "擅长说明")
        private String excelMsg;
        @Schema(description = "教练数量")
        private int count;
    }
}
