package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.ArraySchema;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.jeecg.modules.system.app.entity.AppGame;
import org.jeecg.modules.system.app.entity.AppGamePriceRules;

import java.util.List;

/**
 * @author DM
 * @date 2025/7/4 16:56
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description = "赛事入参DTO")
public class AppGameDTO {
    private AppGame game;
    @ArraySchema(schema = @Schema(implementation = AppGamePriceRules.class), minItems = 1)
    private List<AppGamePriceRules> gamePriceRules;
}