package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @author DM
 * @date 2025/7/7 17:39
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="场地入参自定义DTO")
public class AppSiteCuDTO {
    @Schema(description = "id")
    private String id;
    /**部门id*/
    @Schema(description = "部门id")
    private String orgCode;
    /**商户id;场馆/主办单位/学校等场地*/
    @Schema(description = "商户id;场馆/主办单位/学校等场地")
    private String tenantId;
    /**名称*/
    @Schema(description = "名称")
    private String name;
    /**地址;仅赛事*/
    @Schema(description = "地址")
    private String address;
    /**类型;0学校 1包场 2不固定场*/
    @Schema(description = "类型;0学校 1包场 2不固定场")
    private Integer type;
    /**运动类目id;多个用逗号分割*/
    @Schema(description = "运动类目id;多个用逗号分割")
    private String categoryId;
    /**保险id;可能有多个险种*/
    @Schema(description = "保险id;可能有多个险种")
    private String insureIds;
    /**封面*/
    @Schema(description = "封面")
    private String cover;
    /**背景图;可能数组*/
    @Schema(description = "背景图;可能数组")
    private String backgroundImage;
    /**退款类型;0可退/到期自动退 1限时退 2不可退*/
    @Schema(description = "退款类型;0可退/到期自动退 1限时退 2不可退")
    private Integer refundType;
    /**有效期;单位：天 仅无固定场*/
    @Schema(description = "有效期;单位：天 仅无固定场")
    private Integer indate;
    /**提前预约时间;单位：时 0面预约*/
    @Schema(description = "提前预约时间;单位：时 0面预约")
    private Integer advanceTime;
    /**适用人数*/
    @Schema(description = "适用人数")
    private Integer usableCount;
    /**不可用时间 星期*/
    @Schema(description = "不可用时间 星期")
    private String downTime;
    /**购买限制*/
    @Schema(description = "购买限制")
    private Integer buyLimit;
    /**设施/信息*/
    @Schema(description = "设施/信息")
    private String facility;
    /**教学日开放时段*/
    @Schema(description = "教学日开放时段")
    private String teachingDay;
    /**非教学日开放时段*/
    @Schema(description = "非教学日开放时段")
    private String noTeachingDay;
    /**提示/须知*/
    @Schema(description = "提示/须知")
    private String reminder;
    /**视频*/
    @Schema(description = "视频")
    private String video;
    /**排序*/
    @Schema(description = "排序")
    private Integer sort;

}