package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.ArraySchema;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.jeecg.modules.system.app.entity.AppSite;
import org.jeecg.modules.system.app.entity.AppSitePriceRules;

import java.util.List;

/**
 * @author DM
 * @date 2025/7/4 10:20
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="场地入参DTO")
public class AppSiteDTO {
    private AppSiteCuDTO site;
    @ArraySchema(schema = @Schema(implementation = AppSiteRuleDTO.class),  minItems = 1)
    private List<AppSiteRuleDTO> priceRulesList;
}