package org.jeecg.modules.system.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: 课程/培训表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
@Data
@TableName("nm_courses")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="课程/培训表")
public class AppCourses implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private String id;
	/**部门id*/
	@Excel(name = "部门id", width = 15)
    @Schema(description = "部门id")
    private String orgCode;
    @Excel(name = "教练ID", width = 15)
    @Schema(description = "教练ID")
    private String userId;
	/**商户/场地id;场馆/学校等场地*/
	@Excel(name = "商户/场地id;场馆/学校等场地", width = 15)
    @Schema(description = "商户/场地id;场馆/学校等场地")
    private String tenantId;
	/**产品名称*/
	@Excel(name = "产品名称", width = 15)
    @Schema(description = "产品名称")
    private String name;
	/**类目;0足球 1篮球 2羽毛球 3跑步...仅包场*/
	@Excel(name = "类目;0足球 1篮球 2羽毛球 3跑步...仅包场", width = 15)
    @Schema(description = "类目;0足球 1篮球 2羽毛球 3跑步...仅包场")
    private String categoryId;
	/**费用类型;0 精品 1免费 仅课程*/
	@Excel(name = "费用类型;0 精品 1免费 仅课程", width = 15)
    @Schema(description = "费用类型;0 精品 1免费 仅课程")
    private Integer priceType;
    /**原价*/
    @Excel(name = "原价", width = 15)
    @Schema(description = "原价")
    private BigDecimal originalPrice;
    /**售价*/
    @Excel(name = "售价", width = 15)
    @Schema(description = "售价")
    private BigDecimal sellingPrice;
	/**上课场地*/
	@Excel(name = "上课场地", width = 15)
    @Schema(description = "上课场地")
    private String siteId;
	/**保险id;可能有多个险种*/
	@Excel(name = "保险id;可能有多个险种", width = 15)
    @Schema(description = "保险id;可能有多个险种")
    private String insureIds;
	/**封面*/
	@Excel(name = "封面", width = 15)
    @Schema(description = "封面")
    private String cover;
	/**背景图;可能数组*/
	@Excel(name = "背景图;可能数组", width = 15)
    @Schema(description = "背景图;可能数组")
    private String backgroundImage;
	/**提示/须知*/
	@Excel(name = "提示/须知", width = 15)
    @Schema(description = "提示/须知")
    private String reminder;
	/**上架状态;0上架 1下架*/
	@Excel(name = "上架状态;0上架 1下架", width = 15)
    @Schema(description = "上架状态;0上架 1下架")
    private Integer rackingStatus;
	/**视频*/
	@Excel(name = "视频", width = 15)
    @Schema(description = "视频")
    private String video;
	/**好评*/
	@Excel(name = "好评", width = 15)
    @Schema(description = "好评")
    private BigDecimal goodRate;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Integer sort;
	/**限购次数*/
	@Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Integer limitNum;
	/**服务详情*/
	@Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Integer details;
	/**适用人群*/
	@Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Integer fitPeople;
	/**开始时间*/
	@Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Integer startTime;
	/**结束时间*/
	@Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Integer endTime;
	/**系统状态;状态（0-正常,1-冻结）*/
	@Excel(name = "系统状态;状态（0-正常,1-冻结）", width = 15)
    @Schema(description = "系统状态;状态（0-正常,1-冻结）")
    private Integer status;
	/**删除标志;删除状态(0-正常,1-已删除)*/
	@Excel(name = "删除标志;删除状态(0-正常,1-已删除)", width = 15)
    @Schema(description = "删除标志;删除状态(0-正常,1-已删除)")
    @TableLogic
    private Integer delFlag;
	/**乐观锁*/
	@Excel(name = "乐观锁", width = 15)
    @Schema(description = "乐观锁")
    private Integer revision;
	/**创建人;创建人*/
    @Schema(description = "创建人;创建人")
    private String createBy;
	/**创建时间;创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间;创建时间")
    private Date createTime;
	/**更新人;更新人*/
    @Schema(description = "更新人;更新人")
    private String updateBy;
	/**更新时间;更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间;更新时间")
    private Date updateTime;
}
