package org.jeecg.modules.system.app.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableLogic;
import org.jeecg.common.constant.ProvinceCityArea;
import org.jeecg.common.util.SpringContextUtils;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 场地表
 * @Author: jeecg-boot
 * @Date:   2025-07-03
 * @Version: V1.0
 */
@Data
@TableName("nm_site")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="场地表")
public class AppSite implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "id")
    private String id;
	/**部门id*/
	@Excel(name = "部门id", width = 15)
    @Schema(description = "部门id")
    private String orgCode;
	/**商户id;场馆/主办单位/学校等场地*/
	@Excel(name = "商户id;场馆/主办单位/学校等场地", width = 15)
    @Schema(description = "商户id;场馆/主办单位/学校等场地")
    private String tenantId;
	/**名称*/
	@Excel(name = "名称", width = 15)
    @Schema(description = "名称")
    private String name;
	/**地址*/
	@Excel(name = "地址", width = 15)
    @Schema(description = "地址")
    private String address;
	/**经纬度*/
	@Excel(name = "经纬度", width = 15)
    @Schema(description = "经纬度")
    private String latitude;
	/**类型;0学校 1包场 2不固定场*/
	@Excel(name = "类型;0学校 1包场 2不固定场", width = 15)
    @Schema(description = "类型;0学校 1包场 2不固定场")
    private Integer type;
	/**运动类目id;多个用逗号分割*/
	@Excel(name = "运动类目id;多个用逗号分割", width = 15)
    @Schema(description = "运动类目id;多个用逗号分割")
    private String categoryId;
	/**保险id;可能有多个险种*/
	@Excel(name = "保险id;可能有多个险种", width = 15)
    @Schema(description = "保险id;可能有多个险种")
    private String insureIds;
	/**封面*/
	@Excel(name = "封面", width = 15)
    @Schema(description = "封面")
    private String cover;
	/**背景图;可能数组*/
	@Excel(name = "背景图;可能数组", width = 15)
    @Schema(description = "背景图;可能数组")
    private String backgroundImage;
	/**退款类型;0可退/到期自动退 1限时退 2不可退*/
	@Excel(name = "退款类型;0可退/到期自动退 1限时退 2不可退", width = 15)
    @Schema(description = "退款类型;0可退/到期自动退 1限时退 2不可退")
    private Integer refundType;
	/**有效期;单位：天 仅无固定场*/
	@Excel(name = "有效期;单位：天 仅无固定场", width = 15)
    @Schema(description = "有效期;单位：天 仅无固定场")
    private Integer indate;
	/**提前预约时间;单位：时 0面预约*/
	@Excel(name = "提前预约时间;单位：时 0面预约", width = 15)
    @Schema(description = "提前预约时间;单位：时 0面预约")
    private Integer advanceTime;
	/**适用人数*/
	@Excel(name = "适用人数", width = 15)
    @Schema(description = "适用人数")
    private Integer usableCount;
	/**不可用时间 星期*/
	@Excel(name = "不可用时间 星期", width = 15)
    @Schema(description = "不可用时间 星期")
    private String downTime;
	/**购买限制*/
	@Excel(name = "购买限制", width = 15)
    @Schema(description = "购买限制")
    private Integer buyLimit;
 	/**设施/信息*/
	@Excel(name = "设施/信息", width = 15)
    @Schema(description = "设施/信息")
    private String facility;
 	/**教学日开放时段*/
	@Excel(name = "教学日开放时段", width = 15)
    @Schema(description = "教学日开放时段")
    private String teachingDay;
 	/**非教学日开放时段*/
	@Excel(name = "非教学日开放时段", width = 15)
    @Schema(description = "非教学日开放时段")
    private String noTeachingDay;
 	/**提示/须知*/
	@Excel(name = "提示/须知", width = 15)
    @Schema(description = "提示/须知")
    private String reminder;
	/**视频*/
	@Excel(name = "视频", width = 15)
    @Schema(description = "视频")
    private String video;
	/**排序*/
	@Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Integer sort;
	/**系统状态;状态（0-正常,1-冻结）*/
	@Excel(name = "系统状态;状态（0-正常,1-冻结）", width = 15)
    @Schema(description = "系统状态;状态（0-正常,1-冻结）")
    private Integer status;
	/**删除标志;删除状态(0-正常,1-已删除)*/
	@Excel(name = "删除标志;删除状态(0-正常,1-已删除)", width = 15)
    @Schema(description = "删除标志;删除状态(0-正常,1-已删除)")
    @TableLogic
    private Integer delFlag;
	/**乐观锁*/
	@Excel(name = "乐观锁", width = 15)
    @Schema(description = "乐观锁")
    private Integer revision;
	/**创建人;创建人*/
    @Schema(description = "创建人;创建人")
    private String createBy;
	/**创建时间;创建时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间;创建时间")
    private Date createTime;
	/**更新人;更新人*/
    @Schema(description = "更新人;更新人")
    private String updateBy;
	/**更新时间;更新时间*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间;更新时间")
    private Date updateTime;
}
